<app-loading *ngIf="isLoading"></app-loading>

<div class="action-breadcrumb-float-right">
  <mb-button
    mbButtonBorderColor
    mbButtonTextColor
    nz-button
    mbButtonSize="LARGE"
    mbButtonType="BORDER"
    class="sendButton"
    mbButtonText="{{ 'development.list-plan.button.PVandXL' | translate }}"
    (click)="sendInterviewOrSalary()"
  >
  </mb-button>

  <mb-button
    mbButtonBorderColor
    mbButtonTextColor
    nz-button
    mbButtonSize="LARGE"
    mbButtonType="BORDER"
    class="sendButton"
  >
    <span nzTrigger="click"
          nz-dropdown
          [nzDropdownMenu]="menu"
          [nzClickHide]="true">{{ 'development.list-plan.button.exportData' | translate }}</span>
  </mb-button>

  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu>
      <li
        nz-button
        nz-menu-item
        class="subButton_dropdown"
        (click)="exportCommon('fileNameInterview')"
      >
        <div class="menu__item">
          <img class="iconExcel" alt='' src="/assets/icon/staff-manager/export_excel.svg"/>
          <span class="subDropdown_label">{{ 'development.list-plan.search.excelInterview' | translate }}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        class="subButton_dropdown"
        (click)="exportCommon('fileNameSalary')"
      >
        <div class="menu__item">
          <img class="iconExcel" alt='' src="/assets/icon/staff-manager/export_excel.svg"/>
          <span class="subDropdown_label">{{ 'development.list-plan.search.excelSalary' | translate }}</span>
        </div>
      </li>
      <li
      nz-button
      nz-menu-item
      class="subButton_dropdown"
      (click)="exportTemplateListPlan()"
    >
      <div class="menu__item">
        <img class="iconExcel" alt='' src="/assets/icon/staff-manager/export_excel.svg"/>
        <span class="subDropdown_label">{{ 'development.list-plan.search.ExportConsultationList' | translate }}</span>
      </div>
    </li>
    </ul>

  </nz-dropdown-menu>


</div>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.formGroupList"
        mbKeyLabel="name"
        mbKeyValue="id"
        [(ngModel)]="params.formGroup"
        mbType="default"
        mbLabelText="{{ 'development.list-plan.search.proposeType2' | translate }} "
        mbPlaceholder="{{ 'development.list-plan.search.proposeType2' | translate }} "
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.proposeCode"
        name="proposeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.list-plan.search.planCode' | translate }}"
        mbPlaceholderText="{{ 'development.list-plan.search.planCode' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="rangeDateTitle">{{ 'development.list-plan.search.datePropose' | translate }}</span>
      <nz-range-picker
        class="rangeDate"
        [(ngModel)]="params.rangeDate"
        nzFormat="dd-MM-yyyy"
        [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
      ></nz-range-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon?.flowStatusApproveConfigList"
        mbKeyLabel="role"
        mbKeyValue="key"
        [(ngModel)]="params.flowStatusCode"
        mbLabelText="{{ 'development.list-plan.search.statusApprove' | translate }} "
        mbPlaceholder="{{ 'development.list-plan.search.statusApprove' | translate }} "
      ></mb-select>
    </div>
  </div>
  <div *ngIf="isExpand">
    <div nz-row [nzGutter]="[16, 8]">

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeCode"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.list-plan.search.empCode' | translate }}"
          mbPlaceholderText="{{ 'development.list-plan.search.empCode' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          name="employeeName"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.list-plan.search.empName' | translate }}"
          mbPlaceholderText="{{ 'development.list-plan.search.empName' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.issueLevelList"
          mbKeyLabel="name"
          mbKeyValue="code"
          [(ngModel)]="params.issueLevelCode"
          name="issueLevelCode"
          mbLabelText="{{ 'development.list-plan.table.14' | translate }}"
          mbPlaceholder="{{ 'development.list-plan.table.14' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.approvalFullName"
          name="approvalFullName"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.list-plan.search.signerCode' | translate }}"
          mbPlaceholderText="{{ 'development.list-plan.search.signerCode' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.employeeUnit"
          name="employeeUnit"
          mbLabelText="{{ 'development.list-plan.search.currentUnit' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.currentUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.employeeTitleId"
          name="employeeTitleId"
          mbLabelText="{{ 'development.list-plan.search.currentTitle' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.currentTitle' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.proposeUnit"
          name="proposeUnit"
          mbLabelText="{{ 'development.list-plan.search.proposeUnit' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.proposeUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.proposeTitle"
          name="proposeTitle"
          mbLabelText="{{ 'development.list-plan.search.proposeTitle' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.proposeTitle' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon?.flowStatusPublishConfigList"
          mbKeyLabel="role"
          mbKeyValue="key"
          [(ngModel)]="params.statusPublish"
          name="statusPublish"
          mbLabelText="{{ 'development.list-plan.search.issueStatus' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.issueStatus' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon?.consultationStatus"
          mbKeyLabel="name"
          mbKeyValue="name"
          [(ngModel)]="params.consultationStatus"
          name="consultationStatus"
          mbLabelText="{{ 'development.list-plan.search.consultationStatus' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.consultationStatus' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.interviewStatus"
          mbKeyLabel="name"
          mbKeyValue="name"
          [(ngModel)]="params.interviewStatus"
          name="interviewStatus"
          mbLabelText="{{ 'development.list-plan.search.statusInterview' | translate }} "
          mbPlaceholder="{{ 'development.list-plan.search.statusInterview' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.salaryStatus"
          mbKeyLabel="name"
          mbKeyValue="code"
          [(ngModel)]="params.salaryStatus"
          name="salaryStatus"
          mbLabelText="{{ 'development.list-plan.search.optionsalary' | translate }}"
          mbPlaceholder="{{ 'development.list-plan.search.optionsalary' | translate }}"
        ></mb-select>
      </div>
    </div>
  </div>
  <div class="block-action-search">
    <mb-button
      mbButtonTextColor
      mbButtonBgColor
      mbButtonType="BORDER"
      mbButtonSize="MEDIUM"
      (click)="search(1)"
      mbButtonText="{{ 'development.formLD.button.search' | translate }}">
    </mb-button>
    <mb-button
      mbButtonSize="LARGE"
      mbButtonAvailableStyle="DEFAULT"
      (click)="collapseExpand()"
    >
      <span>
        <em nz-icon [nzType]="iconStatus"></em>
      </span>
    </mb-button>
    <mb-button
      [disabled]="isLoading"
      mbButtonAvailableStyle="DEFAULT"
      mbButtonSize="LARGE"
      (click)="exportCommon('fileNameOption')"
    >
      <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>



<mb-table-wrap [mbTitle]="''">
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (onDblClickNode)="detailPlan($event)"
  >
  </mb-table>
</mb-table-wrap>


<ng-template #groupCheckboxInterviewHeaderTmpl >
  <div>{{ 'development.list-plan.table.2' | translate }}</div>
  <div
  nz-checkbox
  [nzChecked]="checkedInterview"
  (nzCheckedChange)="onAllCheckedInterview($event)"
  >
  </div>
</ng-template>

<ng-template
  #groupInterviewCheckboxTmpl
  let-id="id"
  let-isInterviewed="isInterviewed">
  <label
    nz-checkbox
    [nzChecked]="quantityMapInterview.has(id)"
    (nzCheckedChange)="onItemCheckedInterview(id, $event)"
    *ngIf="isInterviewed"
  >
  </label>
</ng-template>



<ng-template #groupCheckboxSalaryHeaderTmpl >
  <div>{{ 'development.list-plan.table.3' | translate }}</div>
  <div
  nz-checkbox
  [nzChecked]="checkedSalary"
  (nzCheckedChange)="onAllCheckedSalary($event)"
  >
  </div>
</ng-template>

<ng-template #groupSalaryCheckboxTmpl let-id="id" let-flowStatusCode="flowStatusCode" let-salaryStatusDescription="salaryStatusDescription">
  <label
  nz-checkbox
  [nzChecked]="quantityMapSalary.has(id)"
  (nzCheckedChange)="onItemCheckedSalary(id, $event)"
  *ngIf="checkStatusCB(flowStatusCode) && salaryStatusDescription === keyConstansts.key2"
  >
  </label>
</ng-template>


<ng-template #flowStatusDescriptionTmpl let-flowStatusDescription="flowStatusDescription">
  <nz-tag
  [nzColor]="displayStatusApprove(flowStatusDescription)"
  class="statusApprove"
  *ngIf="flowStatusDescription"
>
  {{ flowStatusDescription }}
</nz-tag>
</ng-template>

<ng-template #interviewStatusDescriptionTmpl let-interviewStatusDescription="interviewStatusDescription">
  <nz-tag
          [nzColor]="checkInterviewStatus(interviewStatusDescription)"
          class="otherTag"
          *ngIf="interviewStatusDescription"
        >
          {{ interviewStatusDescription }}
        </nz-tag>
</ng-template>

<ng-template #consultationStatusDescriptionTmpl let-consultationStatusDescription="consultationStatusDescription">
  <nz-tag
          [nzColor]="checkConsulationStatus(consultationStatusDescription)"
          class="otherTag"
          *ngIf="consultationStatusDescription"
        >
          {{ consultationStatusDescription }}
        </nz-tag>
</ng-template>

<ng-template #salaryStatusDescriptionTmpl let-salaryStatusDescription="salaryStatusDescription">
  <nz-tag
          [nzColor]="checkSalaryStatus(salaryStatusDescription)"
          class="otherTag"
          *ngIf="salaryStatusDescription"
        >
          {{ salaryStatusDescription }}
        </nz-tag>
</ng-template>

<ng-template #statusPublishView let-flowStatusPublishName = "flowStatusPublishName">
  <nz-tag [nzColor]="displayStatusApprove(flowStatusPublishName)" class="data-table__otherTag" *ngIf="flowStatusPublishName">
    {{ flowStatusPublishName || '---' }}
  </nz-tag>
</ng-template>


<ng-template
  #actionPlanTmpl
  let-id="id"
  let-flowStatusCode="flowStatusCode"
  let-proposeDetailId="proposeDetailId"
>

  <mb-button
    *ngIf="flowStatusCode === flowCodeConstants.HANDLING6"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.list-plan.button.handle' | translate }}"
    (click)="handlePlan(id, proposeDetailId)"
  >
  </mb-button>
</ng-template>

<ng-template #sentDateTmpl let-sentDate="sentDate">
  <span>{{ sentDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

